%define name CommonC++
%define version 1.9.4
%define release 2mdk

%define major 1.9_3
%define libname lib%name%major


Summary:	A GNU package for creating portable C++ programs
Name:		CommonC++
Version:	%version
Release:	%release
Group:		Development/C++
URL:		http://www.voxilla.org/projects/projape.html
Source:		commonc++-%version.tar.bz2
License:	GPL
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires: libxml2-devel
# Dadou - 1.3.1-2mdk - Build fails at present time on PPC. Need to be fixed
#                      later. Please remember to try on PPC when a new version
#                      will be available.
# Lenny - 1.3.2-1mdk - This version builds on ppc
#ExcludeArch:	ppc

%description
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

%package -n %libname
Summary:        A GNU package for creating portable C++ program
Group:          System/Libraries

%description -n %libname
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the shared library part of CommonC++.

%package -n %libname-devel
Summary:        A GNU package for creating portable C++ program
Group:          Development/C++
Requires:	%libname = %version 
Provides:	libCommonC++-devel = %version
Provides:	libCommonC++1.9-devel = %version
Provides:	CommonC++-devel = %version
Obsoletes:	CommonC++-devel
Provides:	CommonC++
Obsoletes:	CommonC++
Requires: 	libxml2-devel

%description -n %libname-devel
Common C++ is a GNU package which offers portable "abstraction" of system
services such as threads, networks, and sockets. Common C++ also offers
individual frameworks generally useful to developing portable C++ applications
including a object persistance engine, math libraries, threading, sockets, etc.

Common C++ is small, and highly portable. Common C++ will support most Unix
operating systems as well as Win32, in addition to GNU/Linux.

This package contains the development files and documentation needed to build
programs with CommonC++.

%prep
%setup -q

%build

%configure
# it tries to run make install, so we exit with 0
%make ||:

%install
rm -rf %buildroot
mkdir -p %buildroot/%_mandir/man3
%makeinstall_std mandir=%buildroot/%{_mandir} man

%clean
rm -rf %buildroot

%files -n %libname
%defattr(-,root,root,0755)
%doc COPYING
%_libdir/*.so.*

%files -n %libname-devel
%defattr(-,root,root,0755)
%doc AUTHORS COPYING NEWS README TODO OVERVIEW.TXT ChangeLog 
%doc doc/html
%_bindir/*
%_datadir/aclocal/*
%_mandir/man3/*
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_includedir/cc++

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%changelog
* Tue Feb 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.9.4-2mdk
- devel package requires libxml2-devel to link with libxml2
- buildrequires libxml2-devel
- use macros
- fix group of lib package
- fix major version number for rpmlint
- adjust requires and obsoletes
- obsolete CommonC++ package
- move documentation, m4 macros and configuration script to devel package

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.9.4-1mdk
- 1.9.4

* Tue Dec 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.2-1mdk
- 1.9.2

* Thu Nov 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.1-1mdk
- 1.9.1

* Sun Nov 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.9.0-1mdk
- 1.9.0

* Mon Oct 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.3-1mdk
- 1.6.3

* Wed Oct 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1

* Tue Sep 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0

* Fri Jul 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.5.0-1mdk
- updated to 1.5.0
- split

* Tue Jun 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.3-1mdk
- updated to 1.4.3
- build with egcs


* Mon Mar 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-1mdk
- updated to 1.3.3
- split

* Wed Jan 17 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.3.2-1mdk
- updated to 1.3.2
- build on ppc

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 1.3.1-2mdk
- ExcludeArch: ppc
- Minor spec clean up

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- updated to 1.3.1

* Mon Dec 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.3.0-1mdk
- updated to 1.3.0

* Wed Dec 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-1mdk
- updated to 1.2.6
- don't ever think compile this when you have a "cl" named script in your path

* Tue Aug 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- v1.2.0

* Thu Jul 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-2mdk
- macros
 
* Wed Jun 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.0-1mdk
- v1.1.0
 
* Wed Jun 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2
 
* Wed May 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- v1.0.1
 
* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- used srpm provided by David Sugar <dyfet@ostel.com>  
